Loading...
Searching...
No Matches
EST_PredictionSuffixTree_tree_node Class Reference
Collaboration diagram for EST_PredictionSuffixTree_tree_node:
[legend]

## Public Member Functions

void | clear (void)
const EST_String & | get_path (void) const
void | set_path (const EST_String &s)
void | set_level (int l)
void | set_state (int s)
int | get_state (void) const
int | get_level (void) const
void | cumulate (const EST_String &s, double count=1)
void | cumulate (const int i, double count=1)
const EST_String & | most_probable (double *p) const
const EST_DiscreteProbDistribution & | prob_dist () const
void | print_freqs (ostream &os)
void | print_probs (ostream &os)

## Public Attributes

EST_Features | nodes

## Protected Member Functions

void | delete_node (void *n)

## Protected Attributes

int | p_level
int | state
EST_DiscreteProbDistribution | pd
EST_String | path

## Detailed Description

Definition at line 48 of file EST_PST.h.

## Constructor & Destructor Documentation

## EST_PredictionSuffixTree_tree_node()

EST_PredictionSuffixTree_tree_node::EST_PredictionSuffixTree_tree_node | ( |  | ) |

inline

Definition at line 64 of file EST_PST.h.

## ~EST_PredictionSuffixTree_tree_node()

EST_PredictionSuffixTree_tree_node::~EST_PredictionSuffixTree_tree_node | ( |  | ) |

Definition at line 60 of file EST_PST.cc.

## Member Function Documentation

## delete_node()

void EST_PredictionSuffixTree_tree_node::delete_node | ( | void * | n | ) |

inline protected

Definition at line 57 of file EST_PST.h.

## get_path()

const EST_String & EST_PredictionSuffixTree_tree_node::get_path | ( | void |  | ) | const

inline

Definition at line 67 of file EST_PST.h.

## set_path()

void EST_PredictionSuffixTree_tree_node::set_path | ( | const EST_String & | s | ) |

inline

Definition at line 68 of file EST_PST.h.

## set_level()

void EST_PredictionSuffixTree_tree_node::set_level | ( | int | l | ) |

inline

Definition at line 69 of file EST_PST.h.

## set_state()

void EST_PredictionSuffixTree_tree_node::set_state | ( | int | s | ) |

inline

Definition at line 70 of file EST_PST.h.

## get_state()

int EST_PredictionSuffixTree_tree_node::get_state | ( | void |  | ) | const

inline

Definition at line 71 of file EST_PST.h.

## get_level()

int EST_PredictionSuffixTree_tree_node::get_level | ( | void |  | ) | const

inline

Definition at line 72 of file EST_PST.h.

## cumulate() [1/2]

void EST_PredictionSuffixTree_tree_node::cumulate | ( | const EST_String & | s,
|  | double | count = 1 )

inline

Definition at line 73 of file EST_PST.h.

## cumulate() [2/2]

void EST_PredictionSuffixTree_tree_node::cumulate | ( | const int | i,
|  | double | count = 1 )

inline

Definition at line 74 of file EST_PST.h.

## most_probable()

const EST_String & EST_PredictionSuffixTree_tree_node::most_probable | ( | double * | p | ) | const

Definition at line 118 of file EST_PST.cc.

## prob_dist()

const EST_DiscreteProbDistribution & EST_PredictionSuffixTree_tree_node::prob_dist | ( |  | ) | const

inline

Definition at line 76 of file EST_PST.h.

## print_freqs()

void EST_PredictionSuffixTree_tree_node::print_freqs | ( | ostream & | os | ) |

Definition at line 65 of file EST_PST.cc.

## print_probs()

void EST_PredictionSuffixTree_tree_node::print_probs | ( | ostream & | os | ) |

Definition at line 92 of file EST_PST.cc.

## Member Data Documentation

## p_level

int EST_PredictionSuffixTree_tree_node::p_level

protected

Definition at line 53 of file EST_PST.h.

## state

int EST_PredictionSuffixTree_tree_node::state

protected

Definition at line 54 of file EST_PST.h.

## pd

EST_DiscreteProbDistribution EST_PredictionSuffixTree_tree_node::pd

protected

Definition at line 55 of file EST_PST.h.

## path

EST_String EST_PredictionSuffixTree_tree_node::path

protected

Definition at line 56 of file EST_PST.h.

## nodes

EST_Features EST_PredictionSuffixTree_tree_node::nodes

Definition at line 63 of file EST_PST.h.

The documentation for this class was generated from the following files:

- include/EST_PST.h
- grammar/ngram/EST_PST.cc